Statement class

- « SqlStatementResult::nextResult

- Statement::__construct »

- PHP Manual
- Mysql_xdevapi
- Statement class

# Statement class

(PECL mysql-xdevapi >= 8.0.11)

## Introduction

## Class synopsis

class mysql_xdevapi\Statement {
/* Constants */
const int EXECUTE_ASYNC = 1;
const int BUFFERED = 2;
/* Methods */
public getNextResult(): mysql_xdevapi\Result
public getResult(): mysql_xdevapi\Result
public hasMoreResults(): bool
}

## Predefined Constants

`mysql_xdevapi\Statement::EXECUTE_ASYNC`

`mysql_xdevapi\Statement::BUFFERED`

## Table of Contents

- Statement::__construct — Description constructor
- Statement::getNextResult — Get next result
- Statement::getResult — Get result
- Statement::hasMoreResults — Check if more results